from apogee_connect_rpi.Scripts.AppConfig import AppConfig

liveDataTypes = {
    "PPFD": {"units": "umol/m2s"},
    "ePPFD": {"units": "umol/m2s"},
    "PFD": {"units": "umol/m2s"},
    "PAR": {"units": "umol/m2s"},
    "Temperature": {"units": AppConfig().get_temp_units()},
    "Humidity": {"units": "%"},
    "CO2": {"units": "ppm"},
    "Dew Point": {"units": AppConfig().get_temp_units()},
    "VPD": {"units": "kPa"},
    "Pressure": {"units": "kPa"},
    "Shortwave": {"units": "watts/m2"},
    "Longwave": {"units": "watts/m2"},
    "UV_EFD": {"units": "watts/m2"},
    "UV_PFD": {"units": "umol/m2s"},
    "UVB_EFD": {"units": "watts/m2"},
    "UVB_PFD": {"units": "umol/m2s"},
    "UV_Index": {"units": " "},
    "Illuminance": {"units": "lux"},
    "red": {"units": "watts/m2"},
    "green": {"units": "watts/m2"},
    "yellow": {"units": "watts/m2"},
    "NIR": {"units": "watts/m2"},
    "NDVI": {"units": " "},
    "far_red": {"units": "umol/m2s"},
    "percent_red_farRed": {"units": "%"},
    "percent_par_farRed": {"units": "%"},
    "red_farRed_ratio": {"units": " "},
    "Total PFD": {"units": "umol/m2s"},
    "Upward": {"units": "watts/m2"},
    "Downward": {"units": "watts/m2"},
    "Albedo": {"units": " "},
    "Oxygen": {"units": "%"},
    "ch1": {"units": " "},
    "ch2": {"units": " "},
    "ch3": {"units": " "},
    "ch4": {"units": " "},
    "Target Temp": {"units": AppConfig().get_temp_units()},
    "Sensor Temp": {"units": AppConfig().get_temp_units()},
}